package org.eclipse.jwt.we.view.uml.extension;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.jwt.we.view.uml.Activator;
import org.eclipse.jwt.we.view.uml.UmlViewPluginProperties;


/**
 * A view descriptor that provides an (internationalized) name and an icon for the view.
 */
public class UMLView
		extends org.eclipse.jwt.we.misc.views.WEExternalView
{

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jwt.we.misc.views.WEExternalView#getImage()
	 */
	public ImageDescriptor getImage()
	{
		// returns the imagedescriptor for the view icon
		return Activator.getImageDescriptor(UmlViewPluginProperties
				.getString("view_UML_icon"));
	}


	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jwt.we.misc.views.WEExternalView#getViewName()
	 */
	@Override
	public String getViewName()
	{
		// returns the localized view name
		return UmlViewPluginProperties.getString("view_UML_name");
	}

}
