package org.eclipse.jwt.we.view.uml.extension;

import org.eclipse.draw2d.IFigure;
import org.eclipse.jwt.we.figures.IFigureFactory;
import org.eclipse.jwt.we.model.processes.DecisionNode;
import org.eclipse.jwt.we.model.processes.InitialNode;
import org.eclipse.jwt.we.model.processes.MergeNode;
import org.eclipse.jwt.we.view.uml.figures.UmlDecisionNodeFigure;
import org.eclipse.jwt.we.view.uml.figures.UmlInitialNodeFigure;
import org.eclipse.jwt.we.view.uml.figures.UmlMergeNodeFigure;


/**
 * A custom figure factory that exchanges some Draw2D figures of JWT.
 */
public class UmlFigureFactory
		implements IFigureFactory
{

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jwt.we.figures.IFigureFactory#createFigure(java.lang.Class)
	 */
	public IFigure createFigure(Class modelType)
	{
		if (modelType.isAssignableFrom(InitialNode.class))
		{
			// replace the initial node figure with the original UML initial node figure
			return new UmlInitialNodeFigure();
		}
		else if (modelType.isAssignableFrom(DecisionNode.class))
		{
			// replace the decision node figure with the UML decision node figure
			return new UmlDecisionNodeFigure();
		}
		else if (modelType.isAssignableFrom(MergeNode.class))
		{
			// replace the merge node figure with the UML merge node figure
			return new UmlMergeNodeFigure();
		}
		// use the standard figures for all other model elements
		return null;
	}

}
